Summary: A helper application for loading modules for USB devices
Name: hotplug
Version: 2001_02_14
Release: 15
Epoch: 3
Group: Applications/System
License: GPL
Url: http://linux-hotplug.sourceforge.net/
BuildArchitectures: noarch
Source0: %{name}-%{version}.tar.gz
Patch0: hotplug-2001_02_14-initsanitize.patch
Patch1: hotplug-2001_02_14-eager.patch
Patch2: hotplug-nousbinit.patch
Patch3: hotplug-2001_02_14-wireless.patch
Patch4: hotplug-2001_02_14-updfstab.patch
Patch5: hotplug-2001_02_14-nonetwork.patch
Patch6: hotplug-2001_02_14-updfstabremove.patch
Patch7: hotplug-2001_02_14-waitforrw.patch
Patch8: hotplug-2001_02_14-includetop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq:	chkconfig

%description
Hotplug is an application which is called by the kernel when a USB device is added
and loads the required modules.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1 
%patch8 -p1 

find . -name "*.orig" -exec rm {} \;

%install
# build directories
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/sbin
mkdir -p ${RPM_BUILD_ROOT}/etc/hotplug
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/init.d

# install the main hotplug script
install -m 755 sbin/* ${RPM_BUILD_ROOT}/sbin/

# install the helper hotplug scripts
cp -a -r etc/hotplug/* ${RPM_BUILD_ROOT}/etc/hotplug/

# install the usb startup script
cp -a etc/rc.d/init.d/* ${RPM_BUILD_ROOT}/etc/rc.d/init.d/


%files
%defattr(-,root,root)
/sbin/*
%config /etc/hotplug/usb.*
%config /etc/hotplug/hotplug.*
%config /etc/hotplug/net.*
%config /etc/hotplug/pci.*
%doc README ChangeLog

%changelog
* Sun Apr 01 2001 Erik Troan <ewt@redhat.com>
- devices wouldn't match the upper limit of device id ranges

* Thu Mar 29 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make it sleep (20 intervals of 30 seconds) if /tmp is ro
  instead of exiting. This should make "hotplugging"
  of devices present at boot time work.

* Tue Mar 20 2001 Trond Eivind Glomsrd <teg@redhat.com>
- run updfstab on remove events
- remove the initscript, usbdevfs is now initialized before the controller

* Fri Mar  2 2001 Trond Eivind Glomsrd <teg@redhat.com>
- don't ifup interfaces when the network is stopped
  (#22978)

* Fri Mar  2 2001 Bill Nottingham <notting@redhat.com>
- move wireless invocations to the right place

* Thu Mar  1 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Run updfstab when adding usb-storage devices

* Thu Mar  1 2001 Bill Nottingham <notting@redhat.com>
- don't ship backup files

* Wed Feb 28 2001 Bill Nottingham <notting@redhat.com>
- ignore cipe, plip, and loopback devices as well

* Wed Feb 28 2001 Nalin Dahyabhai <nalin@redhat.com>
- fire off netreport updates when interfaces get registered/deregistered

* Tue Feb 27 2001 Bill Nottingham <notting@redhat.com>
- invoke the pcmcia wireless script for wireless devices

* Thu Feb 22 2001 Trond Eivind Glomsrd <teg@redhat.com>
- add pci hotplug scripts (those weren't the ones bringing machines down)
- activate the script
- change initscript so it never tries to load usb controller modules, just synthesize events

* Fri Feb 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Fix ppp/isdn issue (interface up/down/up/down...)

* Thu Feb 15 2001 Trond Eivind Glomsrd <teg@redhat.com>
- remove init script - it makes some of the Dell servers hang.
- remove chkconfig in post, preun
- only include the usb files in /etc/hotplug - PCI hotplug
  doesn't work 

* Wed Feb 14 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Make summary and description match our old package
- sanitize initscript, so it matches the others
- Add Epoch, so we can upgrade older RPMs with Epoch: 2

* Wed Feb 14 2001 Greg Kroah-Hartman <greg@kroah.com>
- 2001_02_14 release

* Wed Jan 17 2001 Greg Kroah-Hartman <greg@kroah.com>
- changed specfile based on Chmouel Boudjnah's <chmouel@mandrakesoft.com> comments.

* Tue Jan 16 2001 Greg Kroah-Hartman <greg@kroah.com>
- tweaked the file locations due to the change in the tarball structure.
- 2001_01_16 release

* Mon Jan 15 2001 Greg Kroah-Hartman <greg@kroah.com>
- First cut at a spec file for the hotplug scripts.
- added patch to usb.rc to allow chkconfig to install and remove it.

